## colord-kde 0.2.0

=== debian/changelog ===
colord-kde (0.2.0-0ubuntu2) raring; urgency=low

  * Add kubuntu_01_apply_at_startup.diff from upstream
    Fixes LP: #1083628 settings not applied after reboot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2012 15:42:12 +0000

colord-kde (0.2.0-0ubuntu1) quantal; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Jun 2012 23:31:08 +0200
