=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libxrandr-dev, libcolord-dev
Standards-Version: 3.9.3

Package: colord-kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
 .
 This package is part of the KDE education module.
