## colord-kde 0.3.0

=== debian/changelog ===
colord-kde (0.3.0-0ubuntu3) trusty; urgency=medium

  * Copy kcm_colord.desktop to XDG applications/kde4/, so it gets picked up
    by app-install-data.
    + Add Hidden=true to prevent it from showing up in menus etc.
    + Add Exec=kcmshell4 colord to enablae muon-discover to run the KCM after
      installation.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 07 Mar 2014 15:51:22 +0100

colord-kde (0.3.0-0ubuntu2) saucy; urgency=low

  * Add kubuntu_01_l10n.diff to include translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Sep 2013 13:59:12 +0100

colord-kde (0.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1175575).
  * debian/control: updated Standards-Version.
  * debian/patches/kubuntu_01_apply_at_startup.diff: dropped, included
    upstream.

 -- Paolo Rotolo <paolorotolo@ubuntu.com>  Thu, 02 May 2013 20:23:17 +0200
