=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: kde-sc-dev-latest (>= 4:4.8.90),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1), liblcms2-dev, libxrandr-dev, libcolord-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: colord-kde
 Architecture: any
