=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	cp -v debian/colord-kde/usr/share/kde4/services/kcm_colord.desktop \
	      debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop
	echo "Hidden=true" >> debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop
	echo "Exec=kcmshell4 colord" >> debian/colord-kde/usr/share/applications/kde4/kcm_colord.desktop
