=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/colord-kde/([\d.]+)/src/colord-kde-([\d.]+).tar.bz2
