=== debian/changelog ===
colord-kde (0.5.0-4) experimental; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Explicitly add needed build dependencies: libxcb-randr0-dev
    (Closes: #947363), pkg-config, and gettext.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Dec 2019 23:22:31 +0100

colord-kde (0.5.0-3) experimental; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Switch away from (private) debian-qt-kde.mk to the dh sequencer with kf5
    addon
    - make sure to link in as-needed mode
  * Drop transitional kio-dev, and plasma-framework-dev build dependencies;
    their non-transitional counterparts are already specified.
    (Closes: #903895)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.5, no changes required.
  * Simplify watch file, and switch it to https.
  * Switch Format in copyright to https, and make it valid.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 11:45:33 +0200

colord-kde (0.5.0-2) experimental; urgency=medium

  * Initial Debian upload.
  * Add myself as human uploader
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add homepage and vcs fields
  * Update build-deps and deps with the info from cmake
  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 23:26:02 +0100

colord-kde (0.5.0-1) xenial; urgency=medium

  * KF5 port, New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Oct 2016 01:59:00 -0700
