=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.3.0~),
               gettext,
               libcolord-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.3.0~),
               libxcb-randr0-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.3.0~)
Standards-Version: 4.4.1
Homepage: https://quickgit.kde.org/?p=colord-kde.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/colord-kde.git

Package: colord-kde
Architecture: any
Depends: gnome-color-manager, ${misc:Depends}, ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
