=== debian/watch ===
version=3
https://download.kde.org/stable/colord-kde/([\d.]+)/src/colord-kde-([\d.]+)\.tar\.xz
