## colord-kde 22.11.80

=== debian/changelog ===
colord-kde (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:17 +0000

colord-kde (0.5.0-5) experimental; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Switch the watch file to version 4, no changes required.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch Homepage to https://invent.kde.org/graphics/colord-kde.
  * Depend on hwdata, as it can read pnp.ids.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Mar 2021 09:12:49 +0100
