## colord-kde 22.11.90

=== debian/changelog ===
colord-kde (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:02 +0000
