## colord-kde 22.12.0

=== debian/changelog ===
colord-kde (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:36 +0000
