=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libcolord-dev,
               libkf5config-dev,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/colord-kde.git

Package: colord-kde
Architecture: any
Depends: gnome-color-manager, hwdata, ${misc:Depends}, ${shlibs:Depends}
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
