## colord-kde 22.12.1

=== debian/changelog ===
colord-kde (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:00 +0000

colord-kde (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Dec 2022 14:32:43 +0000

colord-kde (22.12.0-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #859093)
  * New upstream release.
  * Set Maintainer to the canonical form.
  * Update Vcs-* fields.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * colord-kde is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.91.0
    - drop no more needed: libcolord-dev, libkf5config-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5notifications-dev,
      and libkf5plasma-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update standards version to 4.6.1, no changes needed.
  * Add upstream/metadata based on the other release-service modules.
  * Small updates to copyright.
  * Explicitly depend on colord: even if gnome-color-manager (currently a
    dependency) depends on colord already, we do not want to rely on indirect
    dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 13:19:28 +0100
