=== debian/control ===
Source: colord-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               liblcms2-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/colord-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/colord-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/colord-kde.git

Package: colord-kde
Architecture: any
Depends: colord,
         gnome-color-manager,
         hwdata,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Color management for KDE
 A System Settings module to do color management for monitors,
 printers, webcams and other devices.
