=== debian/changelog ===
colord-kde (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * Update build depends:
    - add libkf5declarative-dev
    - add libkf5itemmodels-dev
    - add libkf5package-dev
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Add runtime depends on qml-module-org-kde-kirigami-addons-treeview,
    as indicated in cmake output.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:24 +0100

colord-kde (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:46 +0000
