## colord-kde 23.08.0

=== debian/changelog ===
colord-kde (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:32 +0100
