=== debian/changelog ===
colord-kde (24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1) (LP: #2081234)
  * Update build and runtime depends for Qt6 port.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Sep 2024 09:23:57 +0100
